Subject: Re: (usagi-core 31424) Re: [PATCH 7/13] [RFC] [IPV6] Move source address selection into route lookup.

From: Mitsuru Chinen <[email-masked]>
Date: Thu, 19 Oct 2006 19:25:21 +0900

Hello Ville,

Ville Nuorvala wrote:
> Mitsuru-san,
> 
> could you apply patch #12 and rerun the test? I think this particular
> problem is caused by the routing cache entry not having a valid source
> address in the first place. As ip6_dst_lookup() doesn't do the source
> address lookup anymore, it is critical that we only store cache entries
> with complete address data for both destination and source.
> 
> These two patches apparently shouldn't have been split in the first
> place. Sorry!

I'm afraid patch #12 doesn't work for this issue.

Although I applied patch #12, I still got fails.
The test log is the same as the last one.
When I applied all patches, I got fails, either.

Best Regards,
-- 
Mitsuru Chinen <[email-masked]>